<?php
$filename = "./config.lock";
if (file_exists($filename)){
    header('Location: ./login.php');
	exit;
}
?>
<!DOCTYPE html>
<html>
<head>
<title>MobiShop Installer Wizard</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="robots" content="noindex">
<link href="//maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css">
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script src="//maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
<style>
body {
   background: rgb(2,0,36);
background: radial-gradient(circle, rgba(2,0,36,1) 0%, rgba(9,13,121,1) 53%, rgba(0,212,255,1) 100%);
}

.padding {
    padding: 10rem !important
}
* {
    margin: 0;
    padding: 0
}

html {
    height: 100%
}

#grad1 {
    background-color: : #9C27B0;
    background-image: linear-gradient(120deg, #FF4081, #81D4FA)
}

#msform {
    text-align: center;
    position: relative;
    margin-top: 20px
}

#msform fieldset .form-card {
    background: white;
    border: 0 none;
    border-radius: 0px;
    box-shadow: 0 2px 2px 2px rgba(0, 0, 0, 0.2);
    padding: 20px 40px 30px 40px;
    box-sizing: border-box;
    width: 94%;
    margin: 0 3% 20px 3%;
    position: relative
}

#msform fieldset {
    background: white;
    border: 0 none;
    border-radius: 0.5rem;
    box-sizing: border-box;
    width: 100%;
    margin: 0;
    padding-bottom: 20px;
    position: relative
}

#msform fieldset:not(:first-of-type) {
    display: none
}

#msform fieldset .form-card {
    text-align: left;
    color: #9E9E9E
}

#msform input,
#msform textarea {
    padding: 0px 8px 4px 8px;
    border: none;
    border-bottom: 1px solid #ccc;
    border-radius: 0px;
    margin-bottom: 25px;
    margin-top: 2px;
    width: 100%;
    box-sizing: border-box;
    font-family: montserrat;
    color: #2C3E50;
    font-size: 16px;
    letter-spacing: 1px
}

#msform input:focus,
#msform textarea:focus {
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
    border: none;
    font-weight: bold;
    border-bottom: 2px solid skyblue;
    outline-width: 0
}

#msform .action-button {
    width: 100px;
    background: skyblue;
    font-weight: bold;
    color: white;
    border: 0 none;
    border-radius: 0px;
    cursor: pointer;
    padding: 10px 5px;
    margin: 10px 5px
}

#msform .action-button:hover,
#msform .action-button:focus {
    box-shadow: 0 0 0 2px white, 0 0 0 3px skyblue
}

#msform .action-button-previous {
    width: 100px;
    background: #616161;
    font-weight: bold;
    color: white;
    border: 0 none;
    border-radius: 0px;
    cursor: pointer;
    padding: 10px 5px;
    margin: 10px 5px
}

#msform .action-button-previous:hover,
#msform .action-button-previous:focus {
    box-shadow: 0 0 0 2px white, 0 0 0 3px #616161
}

select.list-dt {
    border: none;
    outline: 0;
    border-bottom: 1px solid #ccc;
    padding: 2px 5px 3px 5px;
    margin: 2px
}

select.list-dt:focus {
    border-bottom: 2px solid skyblue
}

.card {
    z-index: 0;
    border: none;
    border-radius: 0.5rem;
    position: relative
}

.fs-title {
    font-size: 25px;
    color: #2C3E50;
    margin-bottom: 10px;
    font-weight: bold;
    text-align: left
}

#progressbar {
    margin-bottom: 30px;
    overflow: hidden;
    color: lightgrey
}

#progressbar .active {
    color: #000000
}

#progressbar li {
    list-style-type: none;
    font-size: 12px;
    width: 20%;
    float: left;
    position: relative
}

#progressbar #setup:before {
    font-family: FontAwesome;
    content: "\f023"
}

#progressbar #paypal:before {
    font-family: FontAwesome;
    content: "\f007"
}

#progressbar #payfast:before {
    font-family: FontAwesome;
    content: "\f09d"
}
#progressbar #paystack:before {
    font-family: FontAwesome;
    content: "\f09d"
}

#progressbar #confirm:before {
    font-family: FontAwesome;
    content: "\f00c"
}

#progressbar li:before {
    width: 50px;
    height: 50px;
    line-height: 45px;
    display: block;
    font-size: 18px;
    color: #ffffff;
    background: lightgray;
    border-radius: 50%;
    margin: 0 auto 10px auto;
    padding: 2px
}

#progressbar li:after {
    content: '';
    width: 100%;
    height: 2px;
    background: lightgray;
    position: absolute;
    left: 0;
    top: 25px;
    z-index: -1
}

#progressbar li.active:before,
#progressbar li.active:after {
    background: skyblue
}

.radio-group {
    position: relative;
    margin-bottom: 25px
}

.radio {
    display: inline-block;
    width: 204;
    height: 104;
    border-radius: 0;
    background: lightblue;
    box-shadow: 0 2px 2px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    cursor: pointer;
    margin: 8px 2px
}

.radio:hover {
    box-shadow: 2px 2px 2px 2px rgba(0, 0, 0, 0.3)
}

.radio.selected {
    box-shadow: 1px 1px 2px 2px rgba(0, 0, 0, 0.1)
}

.fit-image {
    width: 100%;
    object-fit: cover
}
</style>
</head>
<body>


<!-- MultiStep Form -->
<div class="container-fluid">
    <div class="row justify-content-center mt-0">
        <div class="col-11 col-sm-9 col-md-7 col-lg-6 text-center p-0 mt-3 mb-2">
            <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                <h5><strong>MobiShop Configuration</strong></h5>
                <p>Fill all form field to go to next step</p>
                <div class="row">
                    <div class="col-md-12 mx-0">
                        <form id="msform" action="install.php" method="post">
                            <!-- progressbar -->
                            <ul id="progressbar">
                                <li class="active" id="setup"><strong>Setup</strong></li>
                                <li id="paypal"><strong>PayPal</strong></li>
                                <li id="payfast"><strong>PayFast</strong></li>
								<li id="paystack"><strong>PayStack</strong></li>
                                <li id="confirm"><strong>Finish</strong></li>
                            </ul> <!-- fieldsets -->
                            <fieldset>
                                <div class="form-card">
                                     
									<input type="email" name="email" placeholder="Admin Login Email" /> 
									<input type="password" name="pass" placeholder="Admin Login Password" /> 
									<input type="hidden" name="dcp" placeholder="Cart Dashboard Path" value="./" /> 
									<input type="hidden" name="dbp" placeholder="Dashboard Database Path" value="../" >
									<input type="hidden" name="ppdp" placeholder="Payment Processor Database Path" value="../../" /> 
									<input type="color" name="theme" placeholder="Dashboard theme color" />
                                </div> 
								<a href="#" class="next action-button btn" name="next">Next Step</a>
								
                            </fieldset>
                            <fieldset>
                                <div class="form-card">
                                     
									<input type="email" name="pemail" placeholder="Paypal Account email" /> 
									<input type="text" name="ppurl" placeholder="PayPal server url" value="https://www.paypal.com/cgi-bin/webscr"/>
									<input type="text" name="pcc" placeholder="PayPal currency code" value="USD"/> 
									<input type="text" name="psurl" placeholder="Paypal success url" />
									<input type="text" name="pcurl" placeholder="Paypal cancel url" />
									<input type="text" name="pnurl" placeholder="Paypal Notification url" />
                                </div> 
								<a href="#" class="previous action-button-previous btn" name="previous">Previous</a>
								<a href="#" class="next action-button btn" name="next">Next Step</a>
                            </fieldset>
							<fieldset>
                                <div class="form-card">
                                
									<input type="email" name="pfemail" placeholder="PayFast  Account email" /> 
									<input type="text" name="pfurl" placeholder="Payfast server url" value="https://www.payfast.co.za/eng/process"/>
									<input type="text" name="pfmid" placeholder="PayFast Marchant ID"/> 
									<input type="text" name="pfkey" placeholder="PayFast Marchant Key"/> 
									<input type="text" name="pfsurl" placeholder="PayFast success url" />
									<input type="text" name="pfcurl" placeholder="PayFast cancel url" />
									<input type="text" name="pfnurl" placeholder="PayFast Notification url" />
                                </div>
								<a href="#" class="previous action-button-previous btn" name="previous">Previous</a>
								<a href="#" class="next action-button btn" name="next">Next Step</a>
                            </fieldset>
                            <fieldset>
                                <div class="form-card">
                                    <input type="email" name="psemail" placeholder="PayStack Account email" /> 
									<input type="text" name="pskey" placeholder="PayStack Public Key"/> 
									<input type="text" name="psskey" placeholder="PayStack Secret Key"/> 
									<input type="text" name="pssurl" placeholder="PayStack success url" />
									<input type="text" name="pscurl" placeholder="PayStack cancel url" />
                                </div> <a href="#" class="previous action-button-previous btn" name="previous">Previous</a> <input type="submit" name="make_payment" class="next action-button" value="Save Setup" />
                            </fieldset>
                            <fieldset>
                                <div class="form-card">
                                    <h2 class="fs-title text-center">Success !</h2> <br><br>
                                    <div class="row justify-content-center">
                                        <div class="col-3"> <img src="https://img.icons8.com/color/96/000000/ok--v2.png" class="fit-image"> </div>
                                    </div> <br><br>
                                    <div class="row justify-content-center">
                                        <div class="col-7 text-center">
                                            <h5>You Will Be Redirected Please Wait</h5>
                                        </div>
                                    </div>
                                </div>
                            </fieldset>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script type='text/javascript'>	
$(document).ready(function(){
var current_fs, next_fs, previous_fs; //fieldsets
var opacity;
$(".next").click(function(){
current_fs = $(this).parent();
next_fs = $(this).parent().next();
//Add Class Active
$("#progressbar li").eq($("fieldset").index(next_fs)).addClass("active");
//show the next fieldset
next_fs.show();
//hide the current fieldset with style
current_fs.animate({opacity: 0}, {
step: function(now) {
// for making fielset appear animation
opacity = 1 - now;
current_fs.css({
'display': 'none',
'position': 'relative'
});
next_fs.css({'opacity': opacity});
},
duration: 600
});
});

$(".previous").click(function(){
current_fs = $(this).parent();
previous_fs = $(this).parent().prev();
//Remove class active
$("#progressbar li").eq($("fieldset").index(current_fs)).removeClass("active");
//show the previous fieldset
previous_fs.show();
//hide the current fieldset with style
current_fs.animate({opacity: 0}, {
step: function(now) {
// for making fielset appear animation
opacity = 1 - now;
current_fs.css({
'display': 'none',
'position': 'relative'
});
previous_fs.css({'opacity': opacity});
},
duration: 600
});
});
$('.radio-group .radio').click(function(){
$(this).parent().find('.radio').removeClass('selected');
$(this).addClass('selected');
});

$(".submit").click(function(){
return false;
})
});

document.getElementById('jsform').submit();

</script>
</body>
</html>